/*

MegaSearch Widget
Version 1.3 - 5/19/2005 - Added code to clean up MSN URL tracking.
Version 1.2 - 5/8/2005 - Added error trapping code, flip, link to AquaMinds, readme.
Version 1.1 - 5/6/2005 - Modified background, added search state indicator.
Version 1.0 - 5/5/2005 - Initial public release.
Original widget written by Ruben R. Puentedura.
This NoteTaker-specific widget is provided "as is" for the purposes of demonstrating some of the many ways in which NoteTaker can be extended and customized using AppleScript.
Questions about this script? Contact Aquaminds Support (http://www.aquaminds.com/support.jsp)

*/

function megasearch()
{
	var endString = "";
	var startString = document.getElementById("searchText").value;
	if (startString == "") {return;}
	document.getElementById("searchActive").setAttribute("class","searching");
	document.getElementById("searchText").focus();
	endString = startString.charCodeAt(0);
	for (var i = 1; i < startString.length; i++) {
		var codedChar = startString.charCodeAt(i);
		//endString = endString + "," + codedChar;
		endString = endString + " " + codedChar;
	}
	var cmd = "/usr/bin/osascript MegaSearch_Widget.scpt " + endString;	
	alert(cmd);
	var error = widget.system(cmd, null).errorString;
	if (error != null)
	  alert("Error: " + error);
	document.getElementById("searchActive").setAttribute("class","notsearching");
}

function showinfobutton()
{
	document.getElementById("infoButton").style.opacity = 1;
}

function hideinfobutton()
{
	document.getElementById("infoButton").style.opacity = 0;
}

function showinfobuttonactive()
{
	document.getElementById("infoButtonOver").style.opacity = 0.2;
}

function hideinfobuttonactive()
{
	document.getElementById("infoButtonOver").style.opacity = 0;
}

function showfrontbutton()
{
	document.getElementById("frontButton").style.opacity = 1;
}

function hidefrontbutton()
{
	document.getElementById("frontButton").style.opacity = 0;
}

function showfrontbuttonactive()
{
	document.getElementById("frontButtonOver").style.opacity = 0.3;
}

function hidefrontbuttonactive()
{
	document.getElementById("frontButtonOver").style.opacity = 0;
}

function showinfo()
{
	var front = document.getElementById("front");
	var back = document.getElementById("back");
	if (window.widget) widget.prepareForTransition("ToBack");
	front.style.display="none"
	back.style.display="block"
	if (window.widget) setTimeout ('widget.performTransition();', 0);
}

function hideinfo()
{
	var front = document.getElementById("front");
	var back = document.getElementById("back");
	if (window.widget) widget.prepareForTransition("ToFront");
	back.style.display="none"
	front.style.display="block"
	if (window.widget) setTimeout ('widget.performTransition();', 0);
}

function jumptourl()
{
	widget.system("/usr/bin/open 'http://www.aquaminds.com/'", null);
}

function jumptoreadme()
{
	widget.system("/usr/bin/open readme.rtf", null);
}
